import java.rmi.*;

public class HelloClient
{
	public static void main(String args[])
	{
		String message;
		Hello obj;

		System.setSecurityManager(new RMISecurityManager());

		try {
			// Obektreferenz ber Namensdienst besorgen
			obj = (Hello)Naming.lookup("rmi://localhost/Hello-Server");

			int i;
			for (i=0; i<30; i++) {
				// Remote Methode aufrufen
				message = obj.sayHello();

				System.out.println(message);

				Thread.sleep(1000);
			}
		}
		catch (Exception e) {
			System.out.println("HelloClient: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

